/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.jena.sparql.function.library.leviathan;

/**
 * Constants related to support for the <a href=
 * "https://bitbucket.org/dotnetrdf/dotnetrdf/wiki/DeveloperGuide/SPARQL/Leviathan%20Functions"
 * >Leviathan Function Library</a> which is a library of extension functions
 * originally implemented by the <a href="http://www.dotnetrdf.org">dotNetRDF Project</a>.
 * 
 */
public class LeviathanConstants {

    /**
     * Leviathan Function Library URI
     */
    public static final String LeviathanFunctionLibraryURI = "http://www.dotnetrdf.org/leviathan#";
    
    /**
     * Leviathan Function Library package
     */
    public static final String LeviathanFunctionLibrary = "java:org.apache.jena.sparql.function.library.leviathan.";
}
