/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.jena.riot.lang.rdfxml.converted_legacy;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

@RunWith(Suite.class)
@SuiteClasses( {
    TestAPR1_W3C_WG.class,
    TestARP1_W3C_Pending.class,
    TestARP1_Local.class
})

/**
 * The ARP (final) tests from jena-core, so related to RDF 1.0 test suite,
 * then converted to run as RIOT tests.
 *
 * The files used are in " * Files in "testing/RIOT/rdf11-xml/"
 * which have been updated for RDF 1.1 if necessary.
 */
public class TS_ConvertedARP1 {}
