/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.jena.tdb1.store;

import org.apache.jena.graph.Graph ;
import org.apache.jena.graph.Node ;
import org.apache.jena.sparql.core.DatasetGraph ;
import org.apache.jena.sparql.graph.AbstractTestGraphAddDelete ;
import org.apache.jena.sparql.util.NodeFactoryExtra ;
import org.apache.jena.tdb1.TDB1Factory;

/** Programmatic tests on persistent graph */
public class TestGraphNamedTDB extends AbstractTestGraphAddDelete
{
    Node graphNode = NodeFactoryExtra.parseNode("<http://example/namedGraph>") ;

    @Override
    protected Graph emptyGraph()
    {
        DatasetGraph dataset = TDB1Factory.createDatasetGraph() ;
        return dataset.getGraph(graphNode) ;
    }
    
    @Override
    protected void returnGraph(Graph g)
    {}
}
